org.eclnt.jsfserver.managedbean

## Class HotDeployManager

- java.lang.Object
- - org.eclnt.jsfserver.managedbean.HotDeployManager

-     public class HotDeployManager
      extends java.lang.Object

  Returns back a class loader that is configured by /eclntjsfserver/hotdeploy.xml.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addClassPathDirectory(java.lang.String directory)` You may add directories via API which are always added to the classpath of the classloader, that is created when using hot deployment.
    `static java.lang.ClassLoader` | `currentClassLoader()` Current class loader - either the normal web app classloader, or - in case of hot deployment - the hot deploy class loader that is currently active.
    `static void` | `initialize(ServletContext servletContext)`
    `static boolean` | `isHotDeploymentIsActive()` Check if hot deployment is activiated - or not.
    `static void` | `removeAllClassPathDirectories()` See `addClassPathDirectory(String)`.
    `static void` | `removeClassPathDirectory(java.lang.String directory)` See `addClassPathDirectory(String)`.
    `static void` | `triggerCreationOfNewInstance()` Creates a new instance of the classloader that is internally used to load the hot deployment classes.
    `static void` | `triggerHotDeployDueToFileTrigger()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### initialize

          public static void initialize(ServletContext servletContext)

    - #### triggerCreationOfNewInstance

          public static void triggerCreationOfNewInstance()

      Creates a new instance of the classloader that is internally used to load the hot deployment classes. This method is called when doing a hot deployment within the tool environment of CaptainCasa. - Calling this class means, that you should be quite aware of class loading concepts + the concept behind hot deployment.

    - #### currentClassLoader

          public static java.lang.ClassLoader currentClassLoader()

      Current class loader - either the normal web app classloader, or - in case of hot deployment - the hot deploy class loader that is currently active.

    - #### addClassPathDirectory

          public static void addClassPathDirectory(java.lang.String directory)

      You may add directories via API which are always added to the classpath of the classloader, that is created when using hot deployment. Pay attention: the directory are only used when hot deployment is active!
      The directory is either an absolute directory (e.g. "c:\xyz\abc") or one which is relative to the working directory, for which the java.exe was started.

    - #### removeClassPathDirectory

          public static void removeClassPathDirectory(java.lang.String directory)

      See `addClassPathDirectory(String)`.

    - #### removeAllClassPathDirectories

          public static void removeAllClassPathDirectories()

      See `addClassPathDirectory(String)`.

    - #### isHotDeploymentIsActive

          public static boolean isHotDeploymentIsActive()

      Check if hot deployment is activiated - or not.

    - #### triggerHotDeployDueToFileTrigger

          public static void triggerHotDeployDueToFileTrigger()

Copyright © CaptainCasa Gmbh. All Rights Reserved.